Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 507246 (CVE-2014-0172) - <dev-libs/elfutils-0.159: integer overflow, leading to a heap-based buffer overflow in libdw (CVE-2014-0172)
Summary: <dev-libs/elfutils-0.159: integer overflow, leading to a heap-based buffer ov...
Status: RESOLVED FIXED
Alias: CVE-2014-0172
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: A2 [glsa cve]
Keywords:
Depends on: 563250
Blocks:
  Show dependency tree
 
Reported: 2014-04-09 14:09 UTC by Agostino Sarubbo
Modified: 2016-12-13 06:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-04-09 14:09:34 UTC
From ${URL} :

The libdw library provides support for accessing DWARF debugging information inside ELF files. An integer 
overflow flaw in check_section(), leading to a heap-based buffer overflow, was found in the libdw library. 
A malicious ELF file could cause an application using libdw (such as eu-readelf) to crash or, potentially, 
execute arbitrary code with the privileges of the user running the application.

Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Agostino Sarubbo gentoo-dev 2014-04-12 19:25:24 UTC
CVE-2014-0172 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0172):
  Integer overflow in the check_section function in dwarf_begin_elf.c in 
  the libdw library, as used in elfutils 0.153 and possibly through 0.158 
  allows remote attackers to cause a denial of service (application crash) 
  or possibly execute arbitrary code via a malformed compressed debug section 
  in an ELF file, which triggers a heap-based buffer overflow.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2014-10-11 14:22:15 UTC
CVE-2014-0172 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0172):
  Integer overflow in the check_section function in dwarf_begin_elf.c in the
  libdw library, as used in elfutils 0.153 and possibly through 0.158 allows
  remote attackers to cause a denial of service (application crash) or
  possibly execute arbitrary code via a malformed compressed debug section in
  an ELF file, which triggers a heap-based buffer overflow.
Comment 3 Yury German Gentoo Infrastructure gentoo-dev Security 2014-10-15 03:14:23 UTC
This was pushed in to a patch upstream:
https://lists.fedorahosted.org/pipermail/elfutils-devel/2014-April/003921.html

RedHat released it under: elfutils-0.158-3

Maintainer(s): after the bump please let us know when the ebuild is ready for  stabilization.
Comment 4 SpanKY gentoo-dev 2014-10-20 17:08:11 UTC
(In reply to Yury German from comment #3)

elfutils-0.159 has been in the tree since August, and 0.160 since September.  the latter is fine for stabilization.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-12-13 06:45:10 UTC
This issue was resolved and addressed in
 GLSA 201612-32 at https://security.gentoo.org/glsa/201612-32
by GLSA coordinator Aaron Bauman (b-man).